import { ZalogujRequest } from './models/GUS/ZalogujRequest';
import { SimpleReportResponse } from './models/GUS/SimpleReportResponse';
import { FullReportResponse } from './models/GUS/FullReportResponse';
import { RestResponse } from './models/RestResponse';
export declare class GusApiClient {
    private baseUrl;
    generateResponse(dataGus: FullReportResponse, nip: string): Promise<RestResponse | undefined>;
    generateResponseSimple(dataGusSimple: SimpleReportResponse): Promise<RestResponse | undefined>;
    generateSessionIdentifier(requestSid: ZalogujRequest): Promise<string>;
    simpleReport(sid: string, type: string, num: string): Promise<SimpleReportResponse | undefined>;
    fullReport(sid: string, regon: string, reportName: string): Promise<FullReportResponse | undefined>;
    fullReportPkd(sid: string, regon: string, reportName: string): Promise<string[] | undefined>;
}
