import { KrsReport } from './models/KRS/KrsReport';
import { RestResponse } from './models/RestResponse';
import { FullReportResponse } from './models/GUS/FullReportResponse';
export declare class KrsApiClient {
    private baseUrl;
    getDataByKrsNumber(krsNumber: string, rejestrFlag: string): Promise<KrsReport | undefined>;
    formatDate(input: string): string;
    generateResponse(dataKrs: KrsReport, dataGus: FullReportResponse): Promise<RestResponse | undefined>;
}
