declare class Adres {
    ulica?: string;
    budynek?: string;
    lokal?: string;
    miasto: string;
    wojewodztwo: string;
    powiat: string;
    gmina: string;
    kraj: string;
    kod: string;
    terc: string;
    simc: string;
    ulic: string;
    constructor(adres: Adres);
}
declare class Wlasciciel {
    imie: string;
    nazwisko: string;
    nip: string;
    regon: string;
    constructor(wlasciciel: Wlasciciel);
}
declare class Obywatelstwo {
    symbol: string;
    kraj: string;
    constructor(obywatelstwo: Obywatelstwo);
}
declare class Firma {
    id: string;
    nazwa: string;
    adresDzialalnosci?: Adres;
    adresKorespondencyjny: Adres;
    wlasciciel: Wlasciciel;
    obywatelstwa: Obywatelstwo[];
    pkd: string[];
    pkdGlowny: string;
    dataRozpoczecia: string;
    dataWykreslenia?: string;
    status: string;
    numerStatusu: number;
    email?: string;
    www?: string;
    wspolnoscMajatkowa: number;
    podstawyPrawneWykreslenia?: string[];
    link: string;
    constructor(firma: Firma);
}
export declare class CeidgReport {
    firma: Firma;
    constructor(data: CeidgReport);
    findActiveOrNewestFirma(data: any): Firma | undefined;
}
export {};
