"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FullReportResponse = void 0;
class Dane {
    constructor(data) {
        this.praw_regon9 = data.praw_regon9 || '';
        this.praw_nip = data.praw_nip || '';
        this.praw_statusNip = data.praw_statusNip || '';
        this.praw_nazwa = data.praw_nazwa || '';
        this.praw_nazwaSkrocona = data.praw_nazwaSkrocona || '';
        this.praw_numerWRejestrzeEwidencji = data.praw_numerWRejestrzeEwidencji || '';
        this.praw_dataWpisuDoRejestruEwidencji = data.praw_dataWpisuDoRejestruEwidencji || '';
        this.praw_dataPowstania = data.praw_dataPowstania || '';
        this.praw_dataRozpoczeciaDzialalnosci = data.praw_dataRozpoczeciaDzialalnosci || '';
        this.praw_dataWpisuDoRegon = data.praw_dataWpisuDoRegon || '';
        this.praw_dataZawieszeniaDzialalnosci = data.praw_dataZawieszeniaDzialalnosci || '';
        this.praw_dataWznowieniaDzialalnosci = data.praw_dataWznowieniaDzialalnosci || '';
        this.praw_dataZaistnieniaZmiany = data.praw_dataZaistnieniaZmiany || '';
        this.praw_dataZakonczeniaDzialalnosci = data.praw_dataZakonczeniaDzialalnosci || '';
        this.praw_dataSkresleniaZRegon = data.praw_dataSkresleniaZRegon || '';
        this.praw_dataOrzeczeniaOUpadlosci = data.praw_dataOrzeczeniaOUpadlosci || '';
        this.praw_dataZakonczeniaPostepowaniaUpadlosciowego = data.praw_dataZakonczeniaPostepowaniaUpadlosciowego || '';
        this.praw_adSiedzKraj_Symbol = data.praw_adSiedzKraj_Symbol || '';
        this.praw_adSiedzWojewodztwo_Symbol = data.praw_adSiedzWojewodztwo_Symbol || '';
        this.praw_adSiedzPowiat_Symbol = data.praw_adSiedzPowiat_Symbol || '';
        this.praw_adSiedzGmina_Symbol = data.praw_adSiedzGmina_Symbol || '';
        this.praw_adSiedzKodPocztowy = data.praw_adSiedzKodPocztowy || '';
        this.praw_adSiedzMiejscowoscPoczty_Symbol = data.praw_adSiedzMiejscowoscPoczty_Symbol || '';
        this.praw_adSiedzMiejscowosc_Symbol = data.praw_adSiedzMiejscowosc_Symbol || '';
        this.praw_adSiedzUlica_Symbol = data.praw_adSiedzUlica_Symbol || '';
        this.praw_adSiedzNumerNieruchomosci = data.praw_adSiedzNumerNieruchomosci || '';
        this.praw_adSiedzNumerLokalu = data.praw_adSiedzNumerLokalu || '';
        this.praw_adSiedzNietypoweMiejsceLokalizacji = data.praw_adSiedzNietypoweMiejsceLokalizacji || '';
        this.praw_numerTelefonu = data.praw_numerTelefonu || '';
        this.praw_numerWewnetrznyTelefonu = data.praw_numerWewnetrznyTelefonu || '';
        this.praw_numerFaksu = data.praw_numerFaksu || '';
        this.praw_adresEmail = data.praw_adresEmail || '';
        this.praw_adresStronyinternetowej = data.praw_adresStronyinternetowej || '';
        this.praw_adSiedzKraj_Nazwa = data.praw_adSiedzKraj_Nazwa || '';
        this.praw_adSiedzWojewodztwo_Nazwa = data.praw_adSiedzWojewodztwo_Nazwa || '';
        this.praw_adSiedzPowiat_Nazwa = data.praw_adSiedzPowiat_Nazwa || '';
        this.praw_adSiedzGmina_Nazwa = data.praw_adSiedzGmina_Nazwa || '';
        this.praw_adSiedzMiejscowosc_Nazwa = data.praw_adSiedzMiejscowosc_Nazwa || '';
        this.praw_adSiedzMiejscowoscPoczty_Nazwa = data.praw_adSiedzMiejscowoscPoczty_Nazwa || '';
        this.praw_adSiedzUlica_Nazwa = data.praw_adSiedzUlica_Nazwa || '';
        this.praw_podstawowaFormaPrawna_Symbol = data.praw_podstawowaFormaPrawna_Symbol || '';
        this.praw_szczegolnaFormaPrawna_Symbol = data.praw_szczegolnaFormaPrawna_Symbol || '';
        this.praw_formaFinansowania_Symbol = data.praw_formaFinansowania_Symbol || '';
        this.praw_formaWlasnosci_Symbol = data.praw_formaWlasnosci_Symbol || '';
        this.praw_organZalozycielski_Symbol = data.praw_organZalozycielski_Symbol || '';
        this.praw_organRejestrowy_Symbol = data.praw_organRejestrowy_Symbol || '';
        this.praw_rodzajRejestruEwidencji_Symbol = data.praw_rodzajRejestruEwidencji_Symbol || '';
        this.praw_podstawowaFormaPrawna_Nazwa = data.praw_podstawowaFormaPrawna_Nazwa || '';
        this.praw_szczegolnaFormaPrawna_Nazwa = data.praw_szczegolnaFormaPrawna_Nazwa || '';
        this.praw_formaFinansowania_Nazwa = data.praw_formaFinansowania_Nazwa || '';
        this.praw_formaWlasnosci_Nazwa = data.praw_formaWlasnosci_Nazwa || '';
        this.praw_organZalozycielski_Nazwa = data.praw_organZalozycielski_Nazwa || '';
        this.praw_organRejestrowy_Nazwa = data.praw_organRejestrowy_Nazwa || '';
        this.praw_rodzajRejestruEwidencji_Nazwa = data.praw_rodzajRejestruEwidencji_Nazwa || '';
        this.praw_liczbaJednLokalnych = data.praw_liczbaJednLokalnych || '';
    }
}
class FullReportResponse {
    constructor(data) {
        this.dane = new Dane(data.dane);
    }
}
exports.FullReportResponse = FullReportResponse;
