"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZalogujRequest = void 0;
const string_1 = __importDefault(require("string"));
// Define the structure for Zaloguj request
class ZalogujRequest {
    constructor(pKluczUzytkownika) {
        this.pKluczUzytkownika = pKluczUzytkownika;
    }
    toXML() {
        return (0, string_1.default)(`
      <soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:ns="http://CIS/BIR/PUBL/2014/07" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:a="http://www.w3.org/2005/08/addressing">
      <soap:Header>
        <a:Action s:mustUnderstand="1">http://CIS/BIR/PUBL/2014/07/IUslugaBIRzewnPubl/Zaloguj</a:Action>
        <a:To s:mustUnderstand="1">https://wyszukiwarkaregon.stat.gov.pl/wsBIR/UslugaBIRzewnPubl.svc</a:To>
      </soap:Header>
      <soap:Body>
        <ns:Zaloguj xmlns="http://CIS/BIR/PUBL/2014/07">
          ${this.pKluczUzytkownika ? `<ns:pKluczUzytkownika>${this.pKluczUzytkownika}</ns:pKluczUzytkownika>` : ''}
        </ns:Zaloguj>
      </soap:Body>
    </soap:Envelope>
      `.trim()).collapseWhitespace().s;
    }
}
exports.ZalogujRequest = ZalogujRequest;
